| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
GaudiConfig.ControlFlow.ControlFlowNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.ControlFlowNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.ControlFlowNode:
[legend]

## Public Member Functions
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Private Attributes
| _fullname

## Detailed Description

    Basic entry in the control flow graph.

Definition at line 8 of file ControlFlow.py.

## Member Function Documentation

def GaudiConfig.ControlFlow.ControlFlowNode.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 12 of file ControlFlow.py.

12 def __and__(self, rhs):
13 if rhs is CFTrue:
14 return self
15 elif rhs is CFFalse:
16 return CFFalse
17 return AndNode(self, rhs)
18
GaudiConfig.ControlFlow.AndNode
Definition: ControlFlow.py:96
GaudiConfig.ControlFlow.ControlFlowNode.__and__
def __and__(self, rhs)
Definition: ControlFlow.py:12

def GaudiConfig.ControlFlow.ControlFlowNode.__eq__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 40 of file ControlFlow.py.

40 def __eq__(self, other):
41 return (repr(self) == repr(other))
42
GaudiConfig.ControlFlow.ControlFlowNode.__eq__
def __eq__(self, other)
Definition: ControlFlow.py:40

def GaudiConfig.ControlFlow.ControlFlowNode.__invert__ | ( |  | self | ) |

Definition at line 26 of file ControlFlow.py.

26 def __invert__(self):
27 return InvertNode(self)
28
GaudiConfig.ControlFlow.InvertNode
Definition: ControlFlow.py:128
GaudiConfig.ControlFlow.ControlFlowNode.__invert__
def __invert__(self)
Definition: ControlFlow.py:26

def GaudiConfig.ControlFlow.ControlFlowNode.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 19 of file ControlFlow.py.

19 def __or__(self, rhs):
20 if rhs is CFFalse:
21 return self
22 elif rhs is CFTrue:
23 return CFTrue
24 return OrNode(self, rhs)
25
GaudiConfig.ControlFlow.OrNode
Definition: ControlFlow.py:112
GaudiConfig.ControlFlow.ControlFlowNode.__or__
def __or__(self, rhs)
Definition: ControlFlow.py:19

def GaudiConfig.ControlFlow.ControlFlowNode.__rshift__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 29 of file ControlFlow.py.

29 def __rshift__(self, rhs):
30 return OrderedNode(self, rhs)
31
GaudiConfig.ControlFlow.ControlFlowNode.__rshift__
def __rshift__(self, rhs)
Definition: ControlFlow.py:29
GaudiConfig.ControlFlow.OrderedNode
Definition: ControlFlow.py:80

def GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 37 of file ControlFlow.py.

37 def _visitSubNodes(self, visitor):
38 pass
39
GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:37

def GaudiConfig.ControlFlow.ControlFlowNode.getFullName | ( |  | self | ) |

    Allow use of an expression as an algorihtm/sequence in a Gaudi job
    configuration.

    Convert the expression in nested sequencers and return the full name of
    the top one.

Definition at line 43 of file ControlFlow.py.

43 def getFullName(self):
44 '''
45 Allow use of an expression as an algorihtm/sequence in a Gaudi job
46 configuration.
47
48 Convert the expression in nested sequencers and return the full name of
49 the top one.
50 '''
51 if not hasattr(self, '_fullname'):
52 from GaudiKernel.Configurable import makeSequences
53 self._fullname = makeSequences(self).getFullName()
54 return self._fullname
55
56
GaudiKernel.Configurable.makeSequences
def makeSequences(expression)
Definition: Configurable.py:1609
GaudiConfig.ControlFlow.ControlFlowNode._fullname
_fullname
Definition: ControlFlow.py:53
GaudiKernel.Configurable
Definition: Configurable.py:1
GaudiConfig.ControlFlow.ControlFlowNode.getFullName
def getFullName(self)
Definition: ControlFlow.py:43

def GaudiConfig.ControlFlow.ControlFlowNode.visitNode | ( |  | self,
|  |  | visitor
| ) |  |

Definition at line 32 of file ControlFlow.py.

32 def visitNode(self, visitor):
33 visitor.enter(self)
34 self._visitSubNodes(visitor)
35 visitor.leave(self)
36
GaudiConfig.ControlFlow.ControlFlowNode.visitNode
def visitNode(self, visitor)
Definition: ControlFlow.py:32
GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:37

## Member Data Documentation

GaudiConfig.ControlFlow.ControlFlowNode._fullname
| private

Definition at line 53 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py